# Consumer_All_Transaction_Activity

A sponsor/partner may wish to obtain a list of recent activities associated with their merchant user. This
endpoint will return a list of activities for the merchant user with the option to filter down to the loan level.
**Requirements:**
Authentication information, username, and password are required for this endpoint. Sponsor ID will be determined
by the authentication information used.
- **request_user_id**: There must be a user ID in the Momnt system for this GET request to succeed. That user
must be active and should have been established in previous interactions, such as pre-onboarding or create_user.

**Please Note:** If the `request_user_id` used has a Salesrep role, the user will only be able to view recent
activity where they were the user that sent the initial application invitation. If the user is an Admin or
Salesmanager role, they will see all recent activity by all users.

Endpoint: GET /api/v1/sponsor/merchants/{request_user_id}/all-transactions/
Version: 1.0.0 (sponsor_consumer_v1)
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `request_user_id` (string, required)

## Query parameters:

  - `begin_date` (string)
    limits the returned transactions to those requested on or after the provided date.format: `MM/DD/YYYY`

  - `end_date` (string)
    limits the returned transactions to those requested on or before the provided date.
format: `MM/DD/YYYY`.
If used with `begin_date`, `end_date` must be on or after `begin_date`

  - `page` (integer)
    A page number within the paginated result set.

  - `page_size` (integer)
    Number of results to return per page.

  - `search` (string)
    Returns the transactions for a specific loan number

## Response 200 fields (application/json):

  - `count` (integer, required)
    Example: 123

  - `next` (string)
    Example: http://api.example.org/accounts/?page=4

  - `previous` (string)
    Example: http://api.example.org/accounts/?page=2

  - `results` (array, required)

  - `results.consumer_first_name` (string, required)

  - `results.consumer_last_name` (string, required)

  - `results.request_date` (string, required)

  - `results.payment_request_status` (string, required)

  - `results.transaction_description` (string, required)

  - `results.payment_request_id` (string, required)

  - `results.consumer_application_human_readable_id` (string, required)

  - `results.requested_by` (string, required)

  - `results.consumer_charge_amount` (string, required)

  - `results.product_name` (string, required)

  - `results.consumer_application_id` (string, required)

  - `results.is_settled` (boolean, required)

  - `results.payment_identifier` (string, required)

  - `results.payment_request_uuid` (string, required)

  - `results.merchant_fee` (string, required)

  - `results.merchant_fee_transaction_amount` (string, required)

  - `results.net_to_merchant_amount` (string, required)

